Page MenuHomePhabricator

Prepare config for WikibaseLexeme on beta wikidata
Closed, ResolvedPublic

Description

Variables to set:

$wgWBClientSettings['disabledAccessEntityTypes'] = [ 'lexeme', 'form', 'sense' ];
$wgWBRepoSettings['disabledRdfExportEntityTypes'] = ['lexeme', 'form', 'sense' ];
language code property: name: `$wgLexemeLanguageCodePropertyId` value: P218
$wgLexemeEnableSenses: false!
disable creating properties with data type "sense": $wgdisabledDataTypes[] = [ 'wikibase-sense'  ]
reserved / blacklisted lexeme IDs (probably added in https://gerrit.wikimedia.org/r/#/c/430611/)

Event Timeline

Ladsgroup triaged this task as Normal priority.Jan 11 2018, 5:00 PM
Ladsgroup created this task.
WMDE-leszek updated the task description. (Show Details)Mar 19 2018, 2:55 PM
WMDE-leszek updated the task description. (Show Details)
Jakob_WMDE updated the task description. (Show Details)Mar 19 2018, 3:27 PM
WMDE-leszek updated the task description. (Show Details)Mar 19 2018, 3:31 PM
WMDE-leszek updated the task description. (Show Details)Apr 23 2018, 12:54 PM
WMDE-leszek updated the task description. (Show Details)
WMDE-leszek updated the task description. (Show Details)Apr 23 2018, 12:56 PM
WMDE-leszek updated the task description. (Show Details)
WMDE-leszek updated the task description. (Show Details)Apr 24 2018, 2:08 PM

Change 431306 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] WIP DNM WikibaseLexeme Config

https://gerrit.wikimedia.org/r/431306

Restricted Application added a project: User-Addshore. · View Herald TranscriptMay 6 2018, 11:09 AM
WMDE-leszek renamed this task from Handle config variables of lexeme in production before the first release to Prepare config on beta wikidata .May 9 2018, 10:31 AM
WMDE-leszek updated the task description. (Show Details)
Addshore renamed this task from Prepare config on beta wikidata to Prepare config for WikibaseLexeme on beta wikidata .May 9 2018, 10:32 AM
WMDE-leszek updated the task description. (Show Details)May 9 2018, 10:35 AM
WMDE-leszek updated the task description. (Show Details)May 9 2018, 1:14 PM

Change 431306 merged by jenkins-bot:
[operations/mediawiki-config@master] BETA ONLY - WikibaseLexeme config

https://gerrit.wikimedia.org/r/431306

Mentioned in SAL (#wikimedia-operations) [2018-05-09T22:06:04Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings-labs.php: T184745 BETA ONLY [[gerrit:431306|WikibaseLexeme config]] (duration: 01m 19s)

Mentioned in SAL (#wikimedia-operations) [2018-05-09T22:08:02Z] <addshore@tin> Synchronized wmf-config/Wikibase-labs.php: T184745 BETA ONLY [[gerrit:431306|WikibaseLexeme config]] (duration: 01m 20s)

Change 431563 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] BETA ONLY - Enable WikibaseLexeme on BETA wikidatawiki

https://gerrit.wikimedia.org/r/431563

Change 431563 merged by jenkins-bot:
[operations/mediawiki-config@master] BETA ONLY - Enable WikibaseLexeme on BETA wikidatawiki

https://gerrit.wikimedia.org/r/431563

Mentioned in SAL (#wikimedia-operations) [2018-05-09T22:18:06Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings-labs.php: T184745 T191459 BETA ONLY [[gerrit:431563|Enable WikibaseLexeme on BETA wikidatawiki]] (duration: 01m 19s)

Change 432306 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Add WikibaseLexeme to extension-list

https://gerrit.wikimedia.org/r/432306

Change 432306 merged by jenkins-bot:
[operations/mediawiki-config@master] Add WikibaseLexeme to extension-list

https://gerrit.wikimedia.org/r/432306

WMDE-leszek updated the task description. (Show Details)May 10 2018, 7:54 AM
WMDE-leszek moved this task from Peer Review to Done on the Wikidata-Turtles-Sprint #5 board.
WMDE-leszek added a subscriber: WMDE-leszek.

This is done, right?

Addshore closed this task as Resolved.May 14 2018, 11:29 AM
238482n375 removed Addshore as the assignee of this task.Jun 15 2018, 8:03 AM
238482n375 lowered the priority of this task from Normal to Lowest.
238482n375 moved this task from Next Up to In Code Review on the Analytics-Kanban board.
238482n375 edited subscribers, added: Addshore, 238482n375; removed: Aklapper.

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